Create Users
/unified/ticketing/users
Query Parameters
Refer Specifying query parameters in Truto APIs
Collection with type project is required.
1 supported1 required
The unique identifier for a collection
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barRequest Body
Refer Writing data using Unified APIs
The user's name
8 supported4 required
The URL of the user's avatar
3 supported
1 supported
The user's email addresses
9 supported8 required
The user's email address
The type of email address
primaryother
The user's first name
7 supported2 required
The languages preferred by the user
1 supported1 required
The user's last name
7 supported2 required
The nick name of the user.
1 supported1 required
The password needed for the user to log into their account.
1 supported1 required
Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.
The roles the user has
ownermemberviewer
7 supported
ownermemberviewerThe role's unique identifier
The role's name
activeinactive
1 supported
activeinactiveThe IDs of the teams the user is a member of
3 supported
The type of user
1 supported1 required
The user's username
2 supported1 required
Response Body
The user's unique identifier
10 supported
The user's name
8 supported
The URL of the user's avatar
3 supported
The date and time the user was created
7 supported
The user's email addresses
8 supported
The user's email address
The type of email address
The unique identifier for the specific version of the resource.
The user's first name
6 supported
Whether the user is active or not
5 supported
The user's last name
6 supported
Raw data returned from the remote API call.
The roles the user has
7 supported
The role's unique identifier
The role's name
The IDs of the teams the user is a member of
3 supported
The date and time the user was last updated
6 supported
The user's username
1 supported
curl -X POST 'https://api.truto.one/unified/ticketing/users?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json' \
-d '{
"name": "your_name",
"emails": [],
"first_name": "your_first_name",
"last_name": "your_last_name",
"avatar": "your_avatar",
"team_ids": [],
"roles": "owner",
"nick_name": "your_nick_name",
"username": "your_username",
"user_type": "your_user_type",
"password": "your_password",
"languages": [],
"status": "active",
"remote_data": {}
}'const integratedAccountId = '<integrated_account_id>';
const body = {
"name": "your_name",
"emails": [],
"first_name": "your_first_name",
"last_name": "your_last_name",
"avatar": "your_avatar",
"team_ids": [],
"roles": "owner",
"nick_name": "your_nick_name",
"username": "your_username",
"user_type": "your_user_type",
"password": "your_password",
"languages": [],
"status": "active",
"remote_data": {}
};
const response = await fetch(`https://api.truto.one/unified/ticketing/users?integrated_account_id=${integratedAccountId}`, {
method: 'POST',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
body: JSON.stringify(body),
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/ticketing/users"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
payload = {
"name": "your_name",
"emails": [],
"first_name": "your_first_name",
"last_name": "your_last_name",
"avatar": "your_avatar",
"team_ids": [],
"roles": "owner",
"nick_name": "your_nick_name",
"username": "your_username",
"user_type": "your_user_type",
"password": "your_password",
"languages": [],
"status": "active",
"remote_data": {}
}
response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.create(
'ticketing',
'users',
{
"name": "your_name",
"emails": [],
"first_name": "your_first_name",
"last_name": "your_last_name",
"avatar": "your_avatar",
"team_ids": [],
"roles": "owner",
"nick_name": "your_nick_name",
"username": "your_username",
"user_type": "your_user_type",
"password": "your_password",
"languages": [],
"status": "active",
"remote_data": {}
},
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.create(
"ticketing",
"users",
{
"name": "your_name",
"emails": [],
"first_name": "your_first_name",
"last_name": "your_last_name",
"avatar": "your_avatar",
"team_ids": [],
"roles": "owner",
"nick_name": "your_nick_name",
"username": "your_username",
"user_type": "your_user_type",
"password": "your_password",
"languages": [],
"status": "active",
"remote_data": {}
},
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())